require "platforms"
require "player"
require "camera"
function love.load()
	color = {r = 255, g = 255, b = 255}
	background = love.graphics.newImage("pics/Background.png")
	love.graphics.setColor(255,255,255)
	love.graphics.setDefaultImageFilter("nearest","nearest")
	gamestate = "playing" 
	verylarge = love.graphics.newFont(100)
	small = love.graphics.newFont(13)
end
function love.keyreleased(key)
	player.animreset(key)
end
function love.update(dt)
	if love.keyboard.isDown("p") then
		gamestate = "paused"
	end
	if gamestate == "playing" then
		color.r = 255; color.g = 255; color.b = 255
		UPDATE_PLAYER(dt)
		if player.x > screenwidth / 2 then
			camera.x = player.x - screenwidth /2
		end
	end
	if gamestate == "paused" then
		color.r = 0
		color.g = 255
		color.b = 0
		if love.keyboard.isDown("escape") then
			love.event.push("quit")
		elseif love.keyboard.isDown("return") then
			gamestate = "playing"
		end
	end
end
function love.draw()
	love.graphics.setColor(color.r,color.g,color.b)
	camera:set()
	love.graphics.draw(background,0,0)
	love.graphics.draw(platform1.pic,platform1.x,platform1.y)
	DRAW_PLAYER()
	camera:unset()
	love.graphics.setColor(255,255,255)
	love.graphics.print(tostring(love.timer.getFPS()),0,0)
	love.graphics.setColor(0,255,0)
	love.graphics.print(tostring(love.timer.getDelta()),25,0)
	love.graphics.print("Gravity: "..player.gravity,0,15)
	love.graphics.print("Vertical Velocity: "..player.yvel,0,30)
	love.graphics.print("Increase Gravity: Y",0,45)
	love.graphics.print("Decrease Gravity: V",0,60)
	love.graphics.print("Increase Velocity: I",0,75)
	love.graphics.print("Decrease Velocity: N",0,90)
	love.graphics.print("Reset Gravity: G",0,105)
	love.graphics.print("Reset Velocity: J",0,120)
	love.graphics.print("Player State: "..player.state,0,135)
	if gamestate == "paused" then
		love.graphics.setFont(verylarge)
		love.graphics.setColor(255,255,255)
		love.graphics.print("PAUSED",screenwidth/2-200,screenheight/2-70)
		love.graphics.setFont(small)
	end
end