require "platforms"
player = {}
player.picData = love.image.newImageData("pics/PlayerIdle.png")
player.picWidth, player.picHeight = player.picData:getWidth(), player.picData:getHeight()
player.x = 0
player.y = platform1.y - player.picHeight
player.speed = 1400
player.xvel = 0
player.yvel = 0
player.friction = 7
player.defaultyvel = 200
player.yvel = player.defaultyvel
player.defaultgravity = 450
player.gravity = player.defaultgravity
player.state = "running"
player.picSide = {}
player.picSide[1] = love.graphics.newImage("pics/PlayerIdle.png")
player.picSide[2] = love.graphics.newImage("pics/PlayerSide1.png")
player.picSide[3] = love.graphics.newImage("pics/PlayerSide2.png")
player.picSide[4] = love.graphics.newImage("pics/PlayerSide3.png")
player.picSide[5] = love.graphics.newImage("pics/PlayerJump.png")
player.animtimer = 0 
player.pic = player.picSide[1]
player.picNum = 1
player.facing = "right"

function player.move(dt)
	if love.keyboard.isDown("right") and
	player.xvel < player.speed then
		player.facing = "right"
		player.pic = player.picSide[player.picNum]
		player.xvel = player.xvel + player.speed * dt
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.1 then
			player.picNum = player.picNum + 1
			player.animtimer = 0
		end
		if player.picNum > #player.picSide then
			player.picNum = 2
		end
	end
	if love.keyboard.isDown("left") and
	player.xvel > -player.speed then
		player.facing = "left"
		player.xvel = player.xvel - player.speed * dt
	end
	if love.keyboard.isDown(" ") or player.state == "jumping" or player.state == "falling" then
		if player.yvel > 0 then
			player.state = "jumping"
		elseif player.yvel <= 0 then
			player.state = "falling"
		end
		player.pic = player.picSide[5]
		player.y = player.y - player.yvel * dt
		player.yvel = player.yvel - dt * player.gravity
		if player.y > platform1.y - player.picHeight then
			player.yvel = player.defaultyvel
			player.state = "running"
			player.y =  platform1.y - player.picHeight
		end
	end
end

function player.changephysics(dt)
	if love.keyboard.isDown("y") then
		player.gravity = player.gravity + 500 * dt
	end
	if love.keyboard.isDown("v") then
		player.gravity = player.gravity - 500 * dt
	end
	if love.keyboard.isDown("i") then
		player.yvel = player.yvel + 500 * dt
	end
	if love.keyboard.isDown("n") then
		player.yvel = player.yvel - 500 * dt
	end
	if love.keyboard.isDown("j") then
		player.yvel = player.defaultyvel 
	end
	if love.keyboard.isDown("g") then
		player.gravity = player.defaultgravity 
	end
end

function player.teleport()
	if love.keyboard.isDown("t") then
		player.y = math.random(0 + player.picHeight, platform1.y + player.picHeight)
		player.x = math.random(0, screenwidth - player.picWidth)
		player.yvel = 0
		player.state = "falling"
	end
end

function player.physics(dt)
player.x = player.x + player.xvel * dt
player.xvel = player.xvel * (1 - math.min(dt*player.friction,1))
end

function player.animreset(key)
	if key == "right" or key == "left" then
		animtimer = 0
		player.picNum = 1
		player.pic = player.picSide[player.picNum]
	end
end

function player.boundry()
	if player.x < 0 then player.x = 0 end
end

function player.draw()
	if player.facing == "right" then
		love.graphics.draw(player.pic,player.x,player.y)
	elseif player.facing == "left" then
		love.graphics.draw(player.pic,player.x,player.y, math.rad(180), 1, -1,player.picWidth,0)
	end
end




function UPDATE_PLAYER(dt)
	player.physics(dt)
	player.changephysics(dt)
	player.teleport()
	player.move(dt)
	player.boundry()
end
function DRAW_PLAYER()
	player.draw()
end